import { __exports as q } from "./index-_virtual42.js";
import Ae from "react";
import { __require as Fe } from "./index-prop-types.js";
import { __require as Ne } from "./index-DayCell.js";
import { __require as Ie } from "./index-Month.js";
import { __require as We } from "./index-DateInput.js";
import { __require as He } from "./index-utils7.js";
import { __require as Le } from "./index-classnames2.js";
import { __require as Ye } from "./index-react-list.js";
import xe from "./index-index.esm2.js";
import Te from "./index-_virtual36.js";
import je from "./index-_virtual38.js";
import ze from "./index-_virtual43.js";
import Ue from "./index-_virtual44.js";
import Be from "./index-_virtual39.js";
import Ve from "./index-_virtual45.js";
import Ke from "./index-_virtual46.js";
import Ge from "./index-_virtual47.js";
import Je from "./index-_virtual48.js";
import Qe from "./index-_virtual49.js";
import Xe from "./index-_virtual50.js";
import Ze from "./index-_virtual51.js";
import et from "./index-_virtual52.js";
import tt from "./index-_virtual53.js";
import at from "./index-_virtual54.js";
import rt from "./index-_virtual55.js";
import nt from "./index-_virtual56.js";
import ot from "./index-_virtual57.js";
import st from "./index-_virtual58.js";
import { __require as it } from "./index-styles.js";
import { __require as lt } from "./index-accessibility.js";
var G;
function xt() {
  if (G) return q;
  G = 1;
  function E(t) {
    "@babel/helpers - typeof";
    return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? E = function(n) {
      return typeof n;
    } : E = function(n) {
      return n && typeof Symbol == "function" && n.constructor === Symbol && n !== Symbol.prototype ? "symbol" : typeof n;
    }, E(t);
  }
  Object.defineProperty(q, "__esModule", {
    value: !0
  }), q.default = void 0;
  var d = ye(Ae), i = c(/* @__PURE__ */ Fe()), J = Ne(), T = c(Ie()), j = c(We()), A = He(), R = c(Le()), Q = c(Ye()), X = xe, Z = c(Te), ee = c(je), te = c(ze), ae = c(Ue), re = c(Be), ne = c(Ve), oe = c(Ke), H = c(Ge), se = c(Je), ie = c(Qe), z = c(Xe), le = c(Ze), ue = c(et), de = c(tt), fe = c(at), ce = c(rt), pe = c(nt), k = c(ot), he = c(st), me = c(it()), ge = lt();
  function c(t) {
    return t && t.__esModule ? t : { default: t };
  }
  function U(t) {
    if (typeof WeakMap != "function") return null;
    var s = /* @__PURE__ */ new WeakMap(), n = /* @__PURE__ */ new WeakMap();
    return (U = function(o) {
      return o ? n : s;
    })(t);
  }
  function ye(t, s) {
    if (t && t.__esModule)
      return t;
    if (t === null || E(t) !== "object" && typeof t != "function")
      return { default: t };
    var n = U(s);
    if (n && n.has(t))
      return n.get(t);
    var l = {}, o = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var e in t)
      if (e !== "default" && Object.prototype.hasOwnProperty.call(t, e)) {
        var a = o ? Object.getOwnPropertyDescriptor(t, e) : null;
        a && (a.get || a.set) ? Object.defineProperty(l, e, a) : l[e] = t[e];
      }
    return l.default = t, n && n.set(t, l), l;
  }
  function F() {
    return F = Object.assign || function(t) {
      for (var s = 1; s < arguments.length; s++) {
        var n = arguments[s];
        for (var l in n)
          Object.prototype.hasOwnProperty.call(n, l) && (t[l] = n[l]);
      }
      return t;
    }, F.apply(this, arguments);
  }
  function ve(t) {
    return _e(t) || we(t) || be(t) || De();
  }
  function De() {
    throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
  }
  function be(t, s) {
    if (t) {
      if (typeof t == "string") return L(t, s);
      var n = Object.prototype.toString.call(t).slice(8, -1);
      if (n === "Object" && t.constructor && (n = t.constructor.name), n === "Map" || n === "Set") return Array.from(t);
      if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return L(t, s);
    }
  }
  function we(t) {
    if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null) return Array.from(t);
  }
  function _e(t) {
    if (Array.isArray(t)) return L(t);
  }
  function L(t, s) {
    (s == null || s > t.length) && (s = t.length);
    for (var n = 0, l = new Array(s); n < s; n++)
      l[n] = t[n];
    return l;
  }
  function B(t, s) {
    var n = Object.keys(t);
    if (Object.getOwnPropertySymbols) {
      var l = Object.getOwnPropertySymbols(t);
      s && (l = l.filter(function(o) {
        return Object.getOwnPropertyDescriptor(t, o).enumerable;
      })), n.push.apply(n, l);
    }
    return n;
  }
  function N(t) {
    for (var s = 1; s < arguments.length; s++) {
      var n = arguments[s] != null ? arguments[s] : {};
      s % 2 ? B(Object(n), !0).forEach(function(l) {
        w(t, l, n[l]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(n)) : B(Object(n)).forEach(function(l) {
        Object.defineProperty(t, l, Object.getOwnPropertyDescriptor(n, l));
      });
    }
    return t;
  }
  function Se(t, s) {
    if (!(t instanceof s))
      throw new TypeError("Cannot call a class as a function");
  }
  function Oe(t, s) {
    for (var n = 0; n < s.length; n++) {
      var l = s[n];
      l.enumerable = l.enumerable || !1, l.configurable = !0, "value" in l && (l.writable = !0), Object.defineProperty(t, l.key, l);
    }
  }
  function Me(t, s, n) {
    return s && Oe(t.prototype, s), t;
  }
  function Pe(t, s) {
    if (typeof s != "function" && s !== null)
      throw new TypeError("Super expression must either be null or a function");
    t.prototype = Object.create(s && s.prototype, { constructor: { value: t, writable: !0, configurable: !0 } }), s && Y(t, s);
  }
  function Y(t, s) {
    return Y = Object.setPrototypeOf || function(l, o) {
      return l.__proto__ = o, l;
    }, Y(t, s);
  }
  function Ce(t) {
    var s = Ee();
    return function() {
      var l = I(t), o;
      if (s) {
        var e = I(this).constructor;
        o = Reflect.construct(l, arguments, e);
      } else
        o = l.apply(this, arguments);
      return Re(this, o);
    };
  }
  function Re(t, s) {
    return s && (E(s) === "object" || typeof s == "function") ? s : _(t);
  }
  function _(t) {
    if (t === void 0)
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    return t;
  }
  function Ee() {
    if (typeof Reflect > "u" || !Reflect.construct || Reflect.construct.sham) return !1;
    if (typeof Proxy == "function") return !0;
    try {
      return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {
      })), !0;
    } catch {
      return !1;
    }
  }
  function I(t) {
    return I = Object.setPrototypeOf ? Object.getPrototypeOf : function(n) {
      return n.__proto__ || Object.getPrototypeOf(n);
    }, I(t);
  }
  function w(t, s, n) {
    return s in t ? Object.defineProperty(t, s, { value: n, enumerable: !0, configurable: !0, writable: !0 }) : t[s] = n, t;
  }
  var x = /* @__PURE__ */ (function(t) {
    Pe(n, t);
    var s = Ce(n);
    function n(l, o) {
      var e;
      return Se(this, n), e = s.call(this, l, o), w(_(e), "focusToDate", function(a) {
        var r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : e.props, u = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : !0;
        if (!r.scroll.enabled) {
          if (u && r.preventSnapRefocus) {
            var p = (0, H.default)(a, e.state.focusedDate), m = r.calendarFocus === "forwards" && p >= 0, v = r.calendarFocus === "backwards" && p <= 0;
            if ((m || v) && Math.abs(p) < r.months)
              return;
          }
          e.setState({
            focusedDate: a
          });
          return;
        }
        var D = (0, H.default)(a, r.minDate, e.dateOptions), g = e.list.getVisibleRange();
        u && g.includes(D) || (e.isFirstRender = !0, e.list.scrollTo(D), e.setState({
          focusedDate: a
        }));
      }), w(_(e), "updateShownDate", function() {
        var a = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : e.props, r = a.scroll.enabled ? N(N({}, a), {}, {
          months: e.list.getVisibleRange().length
        }) : a, u = (0, A.calcFocusDate)(e.state.focusedDate, r);
        e.focusToDate(u, r);
      }), w(_(e), "updatePreview", function(a) {
        if (!a) {
          e.setState({
            preview: null
          });
          return;
        }
        var r = {
          startDate: a,
          endDate: a,
          color: e.props.color
        };
        e.setState({
          preview: r
        });
      }), w(_(e), "changeShownDate", function(a) {
        var r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "set", u = e.state.focusedDate, p = e.props, m = p.onShownDateChange, v = p.minDate, D = p.maxDate, g = {
          monthOffset: function() {
            return (0, k.default)(u, a);
          },
          setMonth: (function(y) {
            function h() {
              return y.apply(this, arguments);
            }
            return h.toString = function() {
              return y.toString();
            }, h;
          })(function() {
            return (0, se.default)(u, a);
          }),
          setYear: (function(y) {
            function h() {
              return y.apply(this, arguments);
            }
            return h.toString = function() {
              return y.toString();
            }, h;
          })(function() {
            return (0, ie.default)(u, a);
          }),
          set: function() {
            return a;
          }
        }, S = (0, ee.default)([(0, Z.default)([g[r](), v]), D]);
        e.focusToDate(S, e.props, !1), m && m(S);
      }), w(_(e), "handleRangeFocusChange", function(a, r) {
        e.props.onRangeFocusChange && e.props.onRangeFocusChange([a, r]);
      }), w(_(e), "handleScroll", function() {
        var a = e.props, r = a.onShownDateChange, u = a.minDate, p = e.state.focusedDate, m = _(e), v = m.isFirstRender, D = e.list.getVisibleRange();
        if (D[0] !== void 0) {
          var g = (0, k.default)(u, D[0] || 0), S = !(0, ae.default)(g, p);
          S && !v && (e.setState({
            focusedDate: g
          }), r && r(g)), e.isFirstRender = !1;
        }
      }), w(_(e), "renderMonthAndYear", function(a, r, u) {
        var p = u.showMonthArrow, m = u.minDate, v = u.maxDate, D = u.showMonthAndYearPickers, g = u.ariaLabels, S = (v || n.defaultProps.maxDate).getFullYear(), y = (m || n.defaultProps.minDate).getFullYear(), h = e.styles;
        return /* @__PURE__ */ d.default.createElement("div", {
          onMouseUp: function(f) {
            return f.stopPropagation();
          },
          className: h.monthAndYearWrapper
        }, p ? /* @__PURE__ */ d.default.createElement("button", {
          type: "button",
          className: (0, R.default)(h.nextPrevButton, h.prevButton),
          onClick: function() {
            return r(-1, "monthOffset");
          },
          "aria-label": g.prevButton
        }, /* @__PURE__ */ d.default.createElement("i", null)) : null, D ? /* @__PURE__ */ d.default.createElement("span", {
          className: h.monthAndYearPickers
        }, /* @__PURE__ */ d.default.createElement("span", {
          className: h.monthPicker
        }, /* @__PURE__ */ d.default.createElement("select", {
          value: a.getMonth(),
          onChange: function(f) {
            return r(f.target.value, "setMonth");
          },
          "aria-label": g.monthPicker
        }, e.state.monthNames.map(function(b, f) {
          return /* @__PURE__ */ d.default.createElement("option", {
            key: f,
            value: f
          }, b);
        }))), /* @__PURE__ */ d.default.createElement("span", {
          className: h.monthAndYearDivider
        }), /* @__PURE__ */ d.default.createElement("span", {
          className: h.yearPicker
        }, /* @__PURE__ */ d.default.createElement("select", {
          value: a.getFullYear(),
          onChange: function(f) {
            return r(f.target.value, "setYear");
          },
          "aria-label": g.yearPicker
        }, new Array(S - y + 1).fill(S).map(function(b, f) {
          var M = b - f;
          return /* @__PURE__ */ d.default.createElement("option", {
            key: M,
            value: M
          }, M);
        })))) : /* @__PURE__ */ d.default.createElement("span", {
          className: h.monthAndYearPickers
        }, e.state.monthNames[a.getMonth()], " ", a.getFullYear()), p ? /* @__PURE__ */ d.default.createElement("button", {
          type: "button",
          className: (0, R.default)(h.nextPrevButton, h.nextButton),
          onClick: function() {
            return r(1, "monthOffset");
          },
          "aria-label": g.nextButton
        }, /* @__PURE__ */ d.default.createElement("i", null)) : null);
      }), w(_(e), "renderDateDisplay", function() {
        var a = e.props, r = a.focusedRange, u = a.color, p = a.ranges, m = a.rangeColors, v = a.dateDisplayFormat, D = a.editableDateInputs, g = a.startDatePlaceholder, S = a.endDatePlaceholder, y = a.ariaLabels, h = m[r[0]] || u, b = e.styles;
        return /* @__PURE__ */ d.default.createElement("div", {
          className: b.dateDisplayWrapper
        }, p.map(function(f, M) {
          return f.showDateDisplay === !1 || f.disabled && !f.showDateDisplay ? null : /* @__PURE__ */ d.default.createElement("div", {
            className: b.dateDisplay,
            key: M,
            style: {
              color: f.color || h
            }
          }, /* @__PURE__ */ d.default.createElement(j.default, {
            className: (0, R.default)(b.dateDisplayItem, w({}, b.dateDisplayItemActive, r[0] === M && r[1] === 0)),
            readOnly: !D,
            disabled: f.disabled,
            value: f.startDate,
            placeholder: g,
            dateOptions: e.dateOptions,
            dateDisplayFormat: v,
            ariaLabel: y.dateInput && y.dateInput[f.key] && y.dateInput[f.key].startDate,
            onChange: e.onDragSelectionEnd,
            onFocus: function() {
              return e.handleRangeFocusChange(M, 0);
            }
          }), /* @__PURE__ */ d.default.createElement(j.default, {
            className: (0, R.default)(b.dateDisplayItem, w({}, b.dateDisplayItemActive, r[0] === M && r[1] === 1)),
            readOnly: !D,
            disabled: f.disabled,
            value: f.endDate,
            placeholder: S,
            dateOptions: e.dateOptions,
            dateDisplayFormat: v,
            ariaLabel: y.dateInput && y.dateInput[f.key] && y.dateInput[f.key].endDate,
            onChange: e.onDragSelectionEnd,
            onFocus: function() {
              return e.handleRangeFocusChange(M, 1);
            }
          }));
        }));
      }), w(_(e), "onDragSelectionStart", function(a) {
        var r = e.props, u = r.onChange, p = r.dragSelectionEnabled;
        p ? e.setState({
          drag: {
            status: !0,
            range: {
              startDate: a,
              endDate: a
            },
            disablePreview: !0
          }
        }) : u && u(a);
      }), w(_(e), "onDragSelectionEnd", function(a) {
        var r = e.props, u = r.updateRange, p = r.displayMode, m = r.onChange, v = r.dragSelectionEnabled;
        if (v) {
          if (p === "date" || !e.state.drag.status) {
            m && m(a);
            return;
          }
          var D = {
            startDate: e.state.drag.range.startDate,
            endDate: a
          };
          p !== "dateRange" || (0, le.default)(D.startDate, a) ? e.setState({
            drag: {
              status: !1,
              range: {}
            }
          }, function() {
            return m && m(a);
          }) : e.setState({
            drag: {
              status: !1,
              range: {}
            }
          }, function() {
            u && u(D);
          });
        }
      }), w(_(e), "onDragSelectionMove", function(a) {
        var r = e.state.drag;
        !r.status || !e.props.dragSelectionEnabled || e.setState({
          drag: {
            status: r.status,
            range: {
              startDate: r.range.startDate,
              endDate: a
            },
            disablePreview: !0
          }
        });
      }), w(_(e), "estimateMonthSize", function(a, r) {
        var u = e.props, p = u.direction, m = u.minDate, v = e.state.scrollArea;
        if (r && (e.listSizeCache = r, r[a]))
          return r[a];
        if (p === "horizontal") return v.monthWidth;
        var D = (0, k.default)(m, a), g = (0, A.getMonthDisplayRange)(D, e.dateOptions), S = g.start, y = g.end, h = (0, te.default)(y, S, e.dateOptions) + 1 > 35;
        return h ? v.longMonthHeight : v.monthHeight;
      }), e.dateOptions = {
        locale: l.locale
      }, l.weekStartsOn !== void 0 && (e.dateOptions.weekStartsOn = l.weekStartsOn), e.styles = (0, A.generateStyles)([me.default, l.classNames]), e.listSizeCache = {}, e.isFirstRender = !0, e.state = {
        monthNames: e.getMonthNames(),
        focusedDate: (0, A.calcFocusDate)(null, l),
        drag: {
          status: !1,
          range: {
            startDate: null,
            endDate: null
          },
          disablePreview: !1
        },
        scrollArea: e.calcScrollArea(l)
      }, e;
    }
    return Me(n, [{
      key: "getMonthNames",
      value: function() {
        var o = this;
        return ve(Array(12).keys()).map(function(e) {
          return o.props.locale.localize.month(e);
        });
      }
    }, {
      key: "calcScrollArea",
      value: function(o) {
        var e = o.direction, a = o.months, r = o.scroll;
        if (!r.enabled) return {
          enabled: !1
        };
        var u = r.longMonthHeight || r.monthHeight;
        return e === "vertical" ? {
          enabled: !0,
          monthHeight: r.monthHeight || 220,
          longMonthHeight: u || 260,
          calendarWidth: "auto",
          calendarHeight: (r.calendarHeight || u || 240) * a
        } : {
          enabled: !0,
          monthWidth: r.monthWidth || 332,
          calendarWidth: (r.calendarWidth || r.monthWidth || 332) * a,
          monthHeight: u || 300,
          calendarHeight: u || 300
        };
      }
    }, {
      key: "componentDidMount",
      value: function() {
        var o = this;
        this.props.scroll.enabled && setTimeout(function() {
          return o.focusToDate(o.state.focusedDate);
        });
      }
    }, {
      key: "componentDidUpdate",
      value: function(o) {
        var e = {
          dateRange: "ranges",
          date: "date"
        }, a = e[this.props.displayMode];
        this.props[a] !== o[a] && this.updateShownDate(this.props), (o.locale !== this.props.locale || o.weekStartsOn !== this.props.weekStartsOn) && (this.dateOptions = {
          locale: this.props.locale
        }, this.props.weekStartsOn !== void 0 && (this.dateOptions.weekStartsOn = this.props.weekStartsOn), this.setState({
          monthNames: this.getMonthNames()
        })), (0, X.shallowEqualObjects)(o.scroll, this.props.scroll) || this.setState({
          scrollArea: this.calcScrollArea(this.props)
        });
      }
    }, {
      key: "renderWeekdays",
      value: function() {
        var o = this, e = /* @__PURE__ */ new Date();
        return /* @__PURE__ */ d.default.createElement("div", {
          className: this.styles.weekDays
        }, (0, fe.default)({
          start: (0, de.default)(e, this.dateOptions),
          end: (0, ue.default)(e, this.dateOptions)
        }).map(function(a, r) {
          return /* @__PURE__ */ d.default.createElement("span", {
            className: o.styles.weekDay,
            key: r
          }, (0, ce.default)(a, o.props.weekdayDisplayFormat, o.dateOptions));
        }));
      }
    }, {
      key: "render",
      value: function() {
        var o = this, e = this.props, a = e.showDateDisplay, r = e.onPreviewChange, u = e.scroll, p = e.direction, m = e.disabledDates, v = e.disabledDay, D = e.maxDate, g = e.minDate, S = e.rangeColors, y = e.color, h = e.navigatorRenderer, b = e.className, f = e.preview, M = this.state, $ = M.scrollArea, $e = M.focusedDate, P = p === "vertical", qe = h || this.renderMonthAndYear, V = this.props.ranges.map(function(C, O) {
          return N(N({}, C), {}, {
            color: C.color || S[O] || y
          });
        });
        return /* @__PURE__ */ d.default.createElement("div", {
          className: (0, R.default)(this.styles.calendarWrapper, b),
          onMouseUp: function() {
            return o.setState({
              drag: {
                status: !1,
                range: {}
              }
            });
          },
          onMouseLeave: function() {
            o.setState({
              drag: {
                status: !1,
                range: {}
              }
            });
          }
        }, a && this.renderDateDisplay(), qe($e, this.changeShownDate, this.props), u.enabled ? /* @__PURE__ */ d.default.createElement("div", null, P && this.renderWeekdays(this.dateOptions), /* @__PURE__ */ d.default.createElement("div", {
          className: (0, R.default)(this.styles.infiniteMonths, P ? this.styles.monthsVertical : this.styles.monthsHorizontal),
          onMouseLeave: function() {
            return r && r();
          },
          style: {
            width: $.calendarWidth + 11,
            height: $.calendarHeight + 11
          },
          onScroll: this.handleScroll
        }, /* @__PURE__ */ d.default.createElement(Q.default, {
          length: (0, H.default)((0, ne.default)(D), (0, re.default)((0, oe.default)(g), -1), this.dateOptions),
          treshold: 500,
          type: "variable",
          ref: function(O) {
            return o.list = O;
          },
          itemSizeEstimator: this.estimateMonthSize,
          axis: P ? "y" : "x",
          itemRenderer: function(O, W) {
            var K = (0, k.default)(g, O);
            return /* @__PURE__ */ d.default.createElement(T.default, F({}, o.props, {
              onPreviewChange: r || o.updatePreview,
              preview: f || o.state.preview,
              ranges: V,
              key: W,
              drag: o.state.drag,
              dateOptions: o.dateOptions,
              disabledDates: m,
              disabledDay: v,
              month: K,
              onDragSelectionStart: o.onDragSelectionStart,
              onDragSelectionEnd: o.onDragSelectionEnd,
              onDragSelectionMove: o.onDragSelectionMove,
              onMouseLeave: function() {
                return r && r();
              },
              styles: o.styles,
              style: P ? {
                height: o.estimateMonthSize(O)
              } : {
                height: $.monthHeight,
                width: o.estimateMonthSize(O)
              },
              showMonthName: !0,
              showWeekDays: !P
            }));
          }
        }))) : /* @__PURE__ */ d.default.createElement("div", {
          className: (0, R.default)(this.styles.months, P ? this.styles.monthsVertical : this.styles.monthsHorizontal)
        }, new Array(this.props.months).fill(null).map(function(C, O) {
          var W = (0, k.default)(o.state.focusedDate, O);
          return o.props.calendarFocus === "backwards" && (W = (0, pe.default)(o.state.focusedDate, o.props.months - 1 - O)), /* @__PURE__ */ d.default.createElement(T.default, F({}, o.props, {
            onPreviewChange: r || o.updatePreview,
            preview: f || o.state.preview,
            ranges: V,
            key: O,
            drag: o.state.drag,
            dateOptions: o.dateOptions,
            disabledDates: m,
            disabledDay: v,
            month: W,
            onDragSelectionStart: o.onDragSelectionStart,
            onDragSelectionEnd: o.onDragSelectionEnd,
            onDragSelectionMove: o.onDragSelectionMove,
            onMouseLeave: function() {
              return r && r();
            },
            styles: o.styles,
            showWeekDays: !P || O === 0,
            showMonthName: !P || O > 0
          }));
        })));
      }
    }]), n;
  })(d.PureComponent);
  x.defaultProps = {
    showMonthArrow: !0,
    showMonthAndYearPickers: !0,
    disabledDates: [],
    disabledDay: function() {
    },
    classNames: {},
    locale: he.default,
    ranges: [],
    focusedRange: [0, 0],
    dateDisplayFormat: "MMM d, yyyy",
    monthDisplayFormat: "MMM yyyy",
    weekdayDisplayFormat: "E",
    dayDisplayFormat: "d",
    showDateDisplay: !0,
    showPreview: !0,
    displayMode: "date",
    months: 1,
    color: "#3d91ff",
    scroll: {
      enabled: !1
    },
    direction: "vertical",
    maxDate: (0, z.default)(/* @__PURE__ */ new Date(), 20),
    minDate: (0, z.default)(/* @__PURE__ */ new Date(), -100),
    rangeColors: ["#3d91ff", "#3ecf8e", "#fed14c"],
    startDatePlaceholder: "Early",
    endDatePlaceholder: "Continuous",
    editableDateInputs: !1,
    dragSelectionEnabled: !0,
    fixedHeight: !1,
    calendarFocus: "forwards",
    preventSnapRefocus: !1,
    ariaLabels: {}
  }, x.propTypes = {
    showMonthArrow: i.default.bool,
    showMonthAndYearPickers: i.default.bool,
    disabledDates: i.default.array,
    disabledDay: i.default.func,
    minDate: i.default.object,
    maxDate: i.default.object,
    date: i.default.object,
    onChange: i.default.func,
    onPreviewChange: i.default.func,
    onRangeFocusChange: i.default.func,
    classNames: i.default.object,
    locale: i.default.object,
    shownDate: i.default.object,
    onShownDateChange: i.default.func,
    ranges: i.default.arrayOf(J.rangeShape),
    preview: i.default.shape({
      startDate: i.default.object,
      endDate: i.default.object,
      color: i.default.string
    }),
    dateDisplayFormat: i.default.string,
    monthDisplayFormat: i.default.string,
    weekdayDisplayFormat: i.default.string,
    weekStartsOn: i.default.number,
    dayDisplayFormat: i.default.string,
    focusedRange: i.default.arrayOf(i.default.number),
    initialFocusedRange: i.default.arrayOf(i.default.number),
    months: i.default.number,
    className: i.default.string,
    showDateDisplay: i.default.bool,
    showPreview: i.default.bool,
    displayMode: i.default.oneOf(["dateRange", "date"]),
    color: i.default.string,
    updateRange: i.default.func,
    scroll: i.default.shape({
      enabled: i.default.bool,
      monthHeight: i.default.number,
      longMonthHeight: i.default.number,
      monthWidth: i.default.number,
      calendarWidth: i.default.number,
      calendarHeight: i.default.number
    }),
    direction: i.default.oneOf(["vertical", "horizontal"]),
    startDatePlaceholder: i.default.string,
    endDatePlaceholder: i.default.string,
    navigatorRenderer: i.default.func,
    rangeColors: i.default.arrayOf(i.default.string),
    editableDateInputs: i.default.bool,
    dragSelectionEnabled: i.default.bool,
    fixedHeight: i.default.bool,
    calendarFocus: i.default.string,
    preventSnapRefocus: i.default.bool,
    ariaLabels: ge.ariaLabelsShape
  };
  var ke = x;
  return q.default = ke, q;
}
export {
  xt as __require
};
